The NetBSD Project

CVS log for pkgsrc/www/ap-php/Makefile

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / www / ap-php

Request diff between arbitrary revisions


Default branch: MAIN
Current tag: MAIN


Revision 1.46 / (download) - annotate - [select for diffs], Sat Jan 18 21:51:03 2020 UTC (4 weeks, 5 days ago) by jperkin
Branch: MAIN
CVS Tags: HEAD
Changes since 1.45: +2 -2 lines
Diff to previous 1.45 (colored)

*: Recursive revision bump for openssl 1.1.1.

Revision 1.45 / (download) - annotate - [select for diffs], Sun Dec 9 18:52:48 2018 UTC (14 months, 1 week ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2019Q4-base, pkgsrc-2019Q4, pkgsrc-2019Q3-base, pkgsrc-2019Q3, pkgsrc-2019Q2-base, pkgsrc-2019Q2, pkgsrc-2019Q1-base, pkgsrc-2019Q1, pkgsrc-2018Q4-base, pkgsrc-2018Q4
Changes since 1.44: +2 -2 lines
Diff to previous 1.44 (colored)

revbump after updating textproc/icu

Revision 1.44 / (download) - annotate - [select for diffs], Sun Dec 9 12:20:44 2018 UTC (14 months, 1 week ago) by taca
Branch: MAIN
Changes since 1.43: +2 -1 lines
Diff to previous 1.43 (colored)

Bump PKGREVISION for separation of php-sqlite3 package from
lang/php?? base packages.

Revision 1.43 / (download) - annotate - [select for diffs], Fri Jul 27 07:08:09 2018 UTC (18 months, 3 weeks ago) by manu
Branch: MAIN
CVS Tags: pkgsrc-2018Q3-base, pkgsrc-2018Q3
Changes since 1.42: +1 -3 lines
Diff to previous 1.42 (colored)

Roll back GCC_REQD build failure workaround

A better fix has been commites:
https://mail-index.netbsd.org/pkgsrc-changes/2018/07/16/msg178322.html

Revision 1.42 / (download) - annotate - [select for diffs], Thu Jul 26 12:39:19 2018 UTC (18 months, 3 weeks ago) by manu
Branch: MAIN
Changes since 1.41: +3 -1 lines
Diff to previous 1.41 (colored)

Workaround gcc version-specific segmentation fault during build

The problem is described here: https://bugs.php.net/bug.php?id=74527

Revision 1.41 / (download) - annotate - [select for diffs], Fri Jul 20 13:33:02 2018 UTC (19 months ago) by taca
Branch: MAIN
Changes since 1.40: +1 -2 lines
Diff to previous 1.40 (colored)

lang/php: reset PKGREVISION

Reset PKGREVISION with all php's version updates.

Revision 1.40 / (download) - annotate - [select for diffs], Fri Jul 20 03:34:30 2018 UTC (19 months ago) by ryoon
Branch: MAIN
Changes since 1.39: +2 -2 lines
Diff to previous 1.39 (colored)

Recursive revbump from textproc/icu-62.1

Revision 1.39 / (download) - annotate - [select for diffs], Sat Apr 14 07:34:43 2018 UTC (22 months, 1 week ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2018Q2-base
Branch point for: pkgsrc-2018Q2
Changes since 1.38: +2 -1 lines
Diff to previous 1.38 (colored)

revbump after icu update

Revision 1.38 / (download) - annotate - [select for diffs], Mon Jan 15 09:51:55 2018 UTC (2 years, 1 month ago) by jperkin
Branch: MAIN
CVS Tags: pkgsrc-2018Q1-base, pkgsrc-2018Q1
Changes since 1.37: +3 -3 lines
Diff to previous 1.37 (colored)

ap-php: Use {FORTIFY,SSP}_SUPPORTED.

Revision 1.37 / (download) - annotate - [select for diffs], Thu Aug 17 15:05:42 2017 UTC (2 years, 6 months ago) by hauke
Branch: MAIN
CVS Tags: pkgsrc-2017Q4-base, pkgsrc-2017Q4, pkgsrc-2017Q3-base, pkgsrc-2017Q3
Changes since 1.36: +4 -1 lines
Diff to previous 1.36 (colored)

Deal with FORTIFY fall-out.

Revision 1.36 / (download) - annotate - [select for diffs], Sat Apr 2 10:28:06 2016 UTC (3 years, 10 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2017Q2-base, pkgsrc-2017Q2, pkgsrc-2017Q1-base, pkgsrc-2017Q1, pkgsrc-2016Q4-base, pkgsrc-2016Q4, pkgsrc-2016Q3-base, pkgsrc-2016Q3, pkgsrc-2016Q2-base, pkgsrc-2016Q2, pkgsrc-2016Q1-base, pkgsrc-2016Q1
Changes since 1.35: +1 -2 lines
Diff to previous 1.35 (colored)

Reset PKGREVISION after all PHP language packages.

Revision 1.35 / (download) - annotate - [select for diffs], Sat Mar 5 11:29:34 2016 UTC (3 years, 11 months ago) by jperkin
Branch: MAIN
Changes since 1.34: +2 -1 lines
Diff to previous 1.34 (colored)

Bump PKGREVISION for security/openssl ABI bump.

Revision 1.34 / (download) - annotate - [select for diffs], Sat May 16 11:19:53 2015 UTC (4 years, 9 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2015Q4-base, pkgsrc-2015Q4, pkgsrc-2015Q3-base, pkgsrc-2015Q3, pkgsrc-2015Q2-base, pkgsrc-2015Q2
Changes since 1.33: +1 -2 lines
Diff to previous 1.33 (colored)

Reset PKGREVISION along with php{54,55,56} update.

Revision 1.33 / (download) - annotate - [select for diffs], Mon Mar 16 09:09:19 2015 UTC (4 years, 11 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2015Q1-base
Branch point for: pkgsrc-2015Q1
Changes since 1.32: +2 -2 lines
Diff to previous 1.32 (colored)

Correct packages' version after changing PHP_BASE_VERS meaning.

Noted about ap-php by tron@ via private mail.

Revision 1.32 / (download) - annotate - [select for diffs], Mon Mar 9 08:57:03 2015 UTC (4 years, 11 months ago) by taca
Branch: MAIN
Changes since 1.31: +2 -2 lines
Diff to previous 1.31 (colored)

One character was missing from FilesMatch pattern.

Bump PKGREVISION.

Revision 1.31 / (download) - annotate - [select for diffs], Sun Mar 8 17:03:23 2015 UTC (4 years, 11 months ago) by taca
Branch: MAIN
Changes since 1.30: +2 -2 lines
Diff to previous 1.30 (colored)

Change MESSAGE to adivise use of SetHandler with FilesMatch instead of
AddHandler which cause potential security problem.

Revision 1.30 / (download) - annotate - [select for diffs], Fri Jun 13 14:31:19 2014 UTC (5 years, 8 months ago) by fhajny
Branch: MAIN
CVS Tags: pkgsrc-2014Q4-base, pkgsrc-2014Q4, pkgsrc-2014Q3-base, pkgsrc-2014Q3, pkgsrc-2014Q2-base, pkgsrc-2014Q2
Changes since 1.29: +2 -1 lines
Diff to previous 1.29 (colored)

Remove detection of a threaded Apache MPM at configure time.
Fixes the problem where thread safety was not consistent in
the php, ap-php and php-* extension packages, and makes ap-php
adhere to the maintainer-zts option. Bump PKGREVISION.

Revision 1.29 / (download) - annotate - [select for diffs], Wed Jan 8 10:13:44 2014 UTC (6 years, 1 month ago) by jperkin
Branch: MAIN
CVS Tags: pkgsrc-2014Q1-base, pkgsrc-2014Q1
Changes since 1.28: +2 -2 lines
Diff to previous 1.28 (colored)

Needs pkg-config.

Revision 1.28 / (download) - annotate - [select for diffs], Sun Oct 28 06:30:05 2012 UTC (7 years, 3 months ago) by asau
Branch: MAIN
CVS Tags: pkgsrc-2013Q4-base, pkgsrc-2013Q4, pkgsrc-2013Q3-base, pkgsrc-2013Q3, pkgsrc-2013Q2-base, pkgsrc-2013Q2, pkgsrc-2013Q1-base, pkgsrc-2013Q1, pkgsrc-2012Q4-base, pkgsrc-2012Q4
Changes since 1.27: +1 -3 lines
Diff to previous 1.27 (colored)

Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.

Revision 1.27 / (download) - annotate - [select for diffs], Fri Jul 20 12:30:37 2012 UTC (7 years, 7 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2012Q3-base, pkgsrc-2012Q3
Changes since 1.26: +1 -2 lines
Diff to previous 1.26 (colored)

- Reset PKG_REVISION by both php53 and php54 are updated.
- Remove supporting php5 (PHP 5.2.x) supporting codes.

Revision 1.26 / (download) - annotate - [select for diffs], Wed Sep 21 13:10:25 2011 UTC (8 years, 5 months ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2012Q2-base, pkgsrc-2012Q1-base, pkgsrc-2012Q1, pkgsrc-2011Q4-base, pkgsrc-2011Q4, pkgsrc-2011Q3-base, pkgsrc-2011Q3
Branch point for: pkgsrc-2012Q2
Changes since 1.25: +4 -3 lines
Diff to previous 1.25 (colored)

Added MESSAGE_SUBST

Revision 1.25 / (download) - annotate - [select for diffs], Fri Aug 12 12:24:52 2011 UTC (8 years, 6 months ago) by taca
Branch: MAIN
Changes since 1.24: +2 -1 lines
Diff to previous 1.24 (colored)

Correct apache's module name in the MESSAGE file.

Bump PKGREVISION.

Revision 1.24 / (download) - annotate - [select for diffs], Mon Dec 13 13:18:20 2010 UTC (9 years, 2 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2011Q2-base, pkgsrc-2011Q2, pkgsrc-2011Q1-base, pkgsrc-2011Q1, pkgsrc-2010Q4-base, pkgsrc-2010Q4
Changes since 1.23: +1 -2 lines
Diff to previous 1.23 (colored)

Reset PKGREVISION by update of base PHP version.

Revision 1.23 / (download) - annotate - [select for diffs], Tue Mar 16 15:36:39 2010 UTC (9 years, 11 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2010Q3-base, pkgsrc-2010Q2-base, pkgsrc-2010Q2, pkgsrc-2010Q1-base, pkgsrc-2010Q1
Branch point for: pkgsrc-2010Q3
Changes since 1.22: +7 -7 lines
Diff to previous 1.22 (colored)

Use PKG_PHP_MAJOR_VERS instead of PKG_PHP_VERSION now
since the name of extension only contain major version.

Revision 1.22 / (download) - annotate - [select for diffs], Sun Feb 21 08:01:46 2010 UTC (10 years ago) by obache
Branch: MAIN
Changes since 1.21: +2 -2 lines
Diff to previous 1.21 (colored)

pass down EXPORT_SYMBOLS_LDFLAGS with EXTRA_LDFLAGS, not LDFLAGS,
or configure fail to link tests on SUA 6.0.

Revision 1.21 / (download) - annotate - [select for diffs], Thu Jun 12 02:14:54 2008 UTC (11 years, 8 months ago) by joerg
Branch: MAIN
CVS Tags: pkgsrc-2009Q4-base, pkgsrc-2009Q4, pkgsrc-2009Q3-base, pkgsrc-2009Q3, pkgsrc-2009Q2-base, pkgsrc-2009Q2, pkgsrc-2009Q1-base, pkgsrc-2009Q1, pkgsrc-2008Q4-base, pkgsrc-2008Q4, pkgsrc-2008Q3-base, pkgsrc-2008Q3, pkgsrc-2008Q2-base, pkgsrc-2008Q2, cwrapper, cube-native-xorg-base, cube-native-xorg
Changes since 1.20: +5 -3 lines
Diff to previous 1.20 (colored)

Add DESTDIR support.

Revision 1.20 / (download) - annotate - [select for diffs], Sat Nov 17 12:04:15 2007 UTC (12 years, 3 months ago) by rillig
Branch: MAIN
CVS Tags: pkgsrc-2008Q1-base, pkgsrc-2008Q1, pkgsrc-2007Q4-base, pkgsrc-2007Q4
Changes since 1.19: +3 -1 lines
Diff to previous 1.19 (colored)

Some packages need lex and yacc. Patch by Aleksey Cheusov via
pkgsrc-users.

Revision 1.19 / (download) - annotate - [select for diffs], Tue Oct 2 07:47:11 2007 UTC (12 years, 4 months ago) by ghen
Branch: MAIN
CVS Tags: pkgsrc-2007Q3-base, pkgsrc-2007Q3
Changes since 1.18: +2 -1 lines
Diff to previous 1.18 (colored)

Package unbumped for PHP 5.x upgrade; bump again to avoid downgrade on PHP 4.x
systems.

Revision 1.18 / (download) - annotate - [select for diffs], Fri Sep 14 12:19:17 2007 UTC (12 years, 5 months ago) by joerg
Branch: MAIN
Changes since 1.17: +1 -2 lines
Diff to previous 1.17 (colored)

Don't mess with libtool -- stock version rom configure doesn't work
on at least DragonFly.

Revision 1.17 / (download) - annotate - [select for diffs], Sun Sep 2 21:12:42 2007 UTC (12 years, 5 months ago) by jdolecek
Branch: MAIN
Changes since 1.16: +1 -2 lines
Diff to previous 1.16 (colored)

Update lang/php5 to 5.2.4 - miscellaneous security fixes and over 120 other
bug fixes

Revision 1.16 / (download) - annotate - [select for diffs], Sun Sep 2 19:33:06 2007 UTC (12 years, 5 months ago) by jdolecek
Branch: MAIN
Changes since 1.15: +2 -2 lines
Diff to previous 1.15 (colored)

use full LIBTOOL_OVERRIDE (i.e. same setting as the base packages php4 and
php5) to fix build on Mac OS X

compilation confirmed on Mac OS X 10.4.10 and NetBSD 4.99.19

PR: 32397 by MOCHIDA Shuji

Revision 1.15 / (download) - annotate - [select for diffs], Thu Aug 2 15:10:04 2007 UTC (12 years, 6 months ago) by taca
Branch: MAIN
Changes since 1.14: +2 -1 lines
Diff to previous 1.14 (colored)

Update of www/php5 package affects ap-php, too.

So, bump PKGREVISION.

(I just forgot to commit.)

Revision 1.14 / (download) - annotate - [select for diffs], Tue May 8 11:30:49 2007 UTC (12 years, 9 months ago) by adrianp
Branch: MAIN
CVS Tags: pkgsrc-2007Q2-base
Branch point for: pkgsrc-2007Q2
Changes since 1.13: +1 -2 lines
Diff to previous 1.13 (colored)

Reset the PKGREVISION in packages that use the version string from php4 or php5
Pointed out by Geert Hendrickx on tech-pkg@

Revision 1.13 / (download) - annotate - [select for diffs], Sun Feb 25 20:06:09 2007 UTC (12 years, 11 months ago) by jdolecek
Branch: MAIN
CVS Tags: pkgsrc-2007Q1-base
Branch point for: pkgsrc-2007Q1
Changes since 1.12: +2 -2 lines
Diff to previous 1.12 (colored)

bump revision for openssl omission fix in lang/php5 for PHP 5.2.1

noted by Manuel Bouyer

Revision 1.12 / (download) - annotate - [select for diffs], Fri Oct 20 22:10:34 2006 UTC (13 years, 4 months ago) by jdolecek
Branch: MAIN
CVS Tags: pkgsrc-2006Q4-base
Branch point for: pkgsrc-2006Q4
Changes since 1.11: +2 -1 lines
Diff to previous 1.11 (colored)

remove --enable-memory-limit - 8MB is too low, and this just
duplicates process resource limits, which already provide necessary
"safety net" protection against rogue scripts

bump PKGREVISION for this

adressess PR pkg/32007 by "pancake"

also remove --enable-track-vars, since that configure argument
is long gone from PHP

Revision 1.11 / (download) - annotate - [select for diffs], Fri Jul 7 15:49:34 2006 UTC (13 years, 7 months ago) by jlam
Branch: MAIN
CVS Tags: pkgsrc-2006Q3-base
Branch point for: pkgsrc-2006Q3
Changes since 1.10: +2 -2 lines
Diff to previous 1.10 (colored)

LIBTOOL_OVERRIDE generally doesn't need to be specified anymore... just
set OVERRIDE_DIRDEPTH to find any libtool scripts deeper in the WRKSRC
tree unless they're named something other than "libtool".

SHLIBTOOL_OVERRIDE generally doesn't need to be specified either -- just
define it to the empty list and shlibtool-override will look for libtool
scripts.

Revision 1.10 / (download) - annotate - [select for diffs], Fri Jun 2 18:27:59 2006 UTC (13 years, 8 months ago) by joerg
Branch: MAIN
CVS Tags: pkgsrc-2006Q2-base, pkgsrc-2006Q2
Changes since 1.9: +4 -3 lines
Diff to previous 1.9 (colored)

Rename all PHP 4 packages to php4-*, all PHP 5 packages to php5-*,
all PEAR packages to php?-pear-* and all Apache packages to ap13-* or
ap2-* respectively. Add new variables to simplify the Makefile
handling. Add CONFLICTS on the old names. Reset revisions of bumped
packages. ap-php will now depend on the default Apache and PHP version.
All programs using it have an implicit option of the Apache version
as well.

OK from jlam@ and adrianp@.

Revision 1.9 / (download) - annotate - [select for diffs], Fri Apr 14 13:47:30 2006 UTC (13 years, 10 months ago) by cube
Branch: MAIN
Changes since 1.8: +2 -2 lines
Diff to previous 1.8 (colored)

PHP4/5 security changes...  They're not critical issues;  secunia classes
them between "not critical" and "less critical".

Fix CVE-2006-0996, CVE-2006-1494, CVE-2006-1608, CVE-2006-1490.

See:
    http://secunia.com/advisories/19383/
    http://secunia.com/advisories/19599/

Patches were extracted from CVS.  I had to translate the one for
CVE-2006-1608 on php4 because it has not made its way to the php4.4 branch
(I don't know why;  I can confirm it fixes the issue).

While here, add PATCHDIR to the list of variables php5's Makefile.php
defines.  That way, ap-php gets patched too...

Revision 1.8 / (download) - annotate - [select for diffs], Sun Feb 5 23:11:17 2006 UTC (14 years ago) by joerg
Branch: MAIN
CVS Tags: pkgsrc-2006Q1-base
Branch point for: pkgsrc-2006Q1
Changes since 1.7: +2 -2 lines
Diff to previous 1.7 (colored)

Recursive revision bump / recommended bump for gettext ABI change.

Revision 1.7 / (download) - annotate - [select for diffs], Tue Jan 24 07:32:42 2006 UTC (14 years, 1 month ago) by wiz
Branch: MAIN
Changes since 1.6: +2 -2 lines
Diff to previous 1.6 (colored)

Bump BUILDLINK_RECOMMENDED of textproc/expat to 2.0.0 because
of the shlib major bump.
PKGREVISION++ for the dependencies.

Revision 1.6 / (download) - annotate - [select for diffs], Tue Nov 8 20:33:55 2005 UTC (14 years, 3 months ago) by bouyer
Branch: MAIN
CVS Tags: pkgsrc-2005Q4-base, pkgsrc-2005Q4
Changes since 1.5: +2 -2 lines
Diff to previous 1.5 (colored)

php 4.4.1 has a bug which cause squirrelmail's sort function to misbehave:
(endless loop):
http://bugs.php.net/bug.php?id=35067
Pull in a patch from the php CVS repository to fix this, as suggested a
squirrelmail mailing list:
http://cvs.php.net/diff.php/php-src/ext/standard/basic_functions.c?r1=1.543.2.51.2.3&r2=1.543.2.51.2.4&ty=u

OK'd by Jaromir Dolecek, tested on apache-1 and apache-2 servers.
Bump pkgrevision.

Revision 1.5 / (download) - annotate - [select for diffs], Sat Oct 8 16:49:36 2005 UTC (14 years, 4 months ago) by jdolecek
Branch: MAIN
Changes since 1.4: +2 -2 lines
Diff to previous 1.4 (colored)

Unfortunately PHP has several openssl hooks, which are only enabled
when the base PHP is compiled with openssl extension (e.g. ssl://, tls://
stream support, and couple others). These don't work when SSL support
is loaded via extension.

For this reason, make openssl extension unconditionally built-in
into the main PHP package, and g/c security/php-openssl.

Revision 1.4 / (download) - annotate - [select for diffs], Fri Oct 7 16:51:41 2005 UTC (14 years, 4 months ago) by jdolecek
Branch: MAIN
Changes since 1.3: +2 -1 lines
Diff to previous 1.3 (colored)

bump pkgrevision for the fopen_wrappers.c fix

Revision 1.3 / (download) - annotate - [select for diffs], Fri Jun 17 03:50:40 2005 UTC (14 years, 8 months ago) by jlam
Branch: MAIN
CVS Tags: pkgsrc-2005Q3-base, pkgsrc-2005Q2-base, pkgsrc-2005Q2
Branch point for: pkgsrc-2005Q3
Changes since 1.2: +3 -1 lines
Diff to previous 1.2 (colored)

Create directories before installing files into them.

Revision 1.2 / (download) - annotate - [select for diffs], Mon Apr 11 21:47:50 2005 UTC (14 years, 10 months ago) by tv
Branch: MAIN
Changes since 1.1: +1 -2 lines
Diff to previous 1.1 (colored)

Remove USE_BUILDLINK3 and NO_BUILDLINK; these are no longer used.

Revision 1.1 / (download) - annotate - [select for diffs], Thu Nov 4 18:42:03 2004 UTC (15 years, 3 months ago) by jdolecek
Branch: MAIN

Initial revision

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>